Loading...
Searching...
No Matches
Hierarchical Dags

API for Hierarchical DAGS. More...

## Macros

#define | STARPU_BUBBLE_FUNC
#define | STARPU_BUBBLE_FUNC_ARG
#define | STARPU_BUBBLE_GEN_DAG_FUNC
#define | STARPU_BUBBLE_GEN_DAG_FUNC_ARG
#define | STARPU_BUBBLE_PARENT

## Typedefs

typedef int(* | starpu_bubble_func_t) (struct starpu_task *t, void *arg)
typedef void(* | starpu_bubble_gen_dag_func_t) (struct starpu_task *t, void *arg)

## Detailed Description

API for Hierarchical DAGS.

## Macro Definition Documentation

## STARPU_BUBBLE_FUNC

#define STARPU_BUBBLE_FUNC

Used when calling starpu_task_insert(), must be followed by a pointer to a bubble decision function starpu_bubble_func_t

## STARPU_BUBBLE_FUNC_ARG

#define STARPU_BUBBLE_FUNC_ARG

Used when calling starpu_task_insert(), must be followed by a pointer which will be passed to the function defined in starpu_codelet::bubble_func

## STARPU_BUBBLE_GEN_DAG_FUNC

#define STARPU_BUBBLE_GEN_DAG_FUNC

Used when calling starpu_task_insert(), must be followed by a pointer to a bubble DAG generation function starpu_bubble_gen_dag_func_t

## STARPU_BUBBLE_GEN_DAG_FUNC_ARG

#define STARPU_BUBBLE_GEN_DAG_FUNC_ARG

Used when calling starpu_task_insert(), must be followed by a pointer which will be passed to the function defined in starpu_codelet::bubble_gen_dag_func

## STARPU_BUBBLE_PARENT

#define STARPU_BUBBLE_PARENT

Used when calling starpu_task_insert(), must be followed by a pointer to a task. The task will be set as the bubble parent task when using the offline tracing tool.

## Typedef Documentation

## starpu_bubble_func_t

typedef int(* starpu_bubble_func_t) (struct starpu_task *t, void *arg)

Bubble decision function

## starpu_bubble_gen_dag_func_t

typedef void(* starpu_bubble_gen_dag_func_t) (struct starpu_task *t, void *arg)

Bubble DAG generation function